#include <iostream>
#include <vector>
#include <cmath>
#include <string>
#include <algorithm>

using namespace std;

double LL = -1.462439544;
double RR = 1.934563211;

double f(double x) {
	return min(-pow(3, -x*x+2*x+1) - x*x+4*x+8, sin(x)-x+1);
}

double integral(double l, double r) {
	int steps = 100000;
	double dx = (r-l) / steps, sum=0.0, xi=l;
	for (int i=0; i < steps; ++i ) {
		sum += (f(xi) + f(xi +dx)) * dx / 2.0;
		xi += dx;
	}
	return sum;
}

int main() {
	freopen("integral.in", "r", stdin);
	int t;
	cin >> t;
	while (t--) {
		string s;
		double l, r;
		cin >> l >> r;
		l = max(l, LL);
		r = min(r, RR);
		printf("%.6f\n", integral(l ,r));
	}


	
	
	return 0;
}