#include <iostream>
#include <string>
#include <cstdio>
#include <vector>
#include <cmath>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <deque>

#define make_pair mp
//#define v.begin(),v.end() all(v)

using namespace std;

typedef long long ll;
typedef double db;
typedef pair<int, int > P;

const ll inf=1e9;
const db eps=1e-9, pi=acos(-1.0);

struct pt{
	ll x, y;
	pt(){}
	pt(ll x, ll y):x(x), y(y){}
	bool operator <(pt &p){return x<p.x || x==p.x && y<p.y;}
	bool operator ==(pt &p){return x==p.x && y==p.y;}
};

int n, m, t;
pt to, p(999999999999, 999999999999);
vector<pt > v;

ll area(pt a, pt b, pt c){
	return (b.x-a.x)*(c.y-a.y)-(b.y-a.y)*(c.x-a.x);
}

bool check(){
	int l=0, r=n-1;
	while(r-l>1){
		int m=(l+r)/2;
		if(area(v[0], v[m], to)<0)
			l=m;
		else
			r=m;
	}
	if(abs(area(v[0], v[l], v[r]))!=0)
		return abs(area(v[0], v[l], v[r]))==abs(area(v[0], v[l], to))+abs(area(v[0], v[r], to))+abs(area(v[l], v[r], to));
	else{
			if(v[l]<v[r]){
				return (v[l]==to || v[l]<to) && (v[r]==to || to<v[r]) && area(v[l], v[r], to)==0;
			}else{
				return (v[r]==to || v[r]<to) && (v[l]==to || to<v[l]) && area(v[l], v[r], to)==0;
			}
	}
}

void solve(){
	scanf("%d", &t);
	while(t--){
		scanf("%d%d", &n, &m);
		v.resize(n);
		int k=0;
		for(int i=0; i<n; i++){
			scanf("%lld%lld", &v[i].x, &v[i].y);
		}
		if(!(area(v[0], v[1], v[2])<0)){
			reverse(v.begin(), v.end());
		}
		int pos=0;
		for(int i=0; i<n; i++)
			if(v[i]<p){
				pos=i;
				p=v[i];
			}
		rotate(v.begin(), v.begin()+pos, v.end());
		for(int i=0; i<m; i++){
			scanf("%lld%lld", &to.x, &to.y);
			bool f=check();
			
			if(f) puts("Yeap");
			else puts("Nope");
		}
	}
}

int main(){
	freopen("hit.in","r",stdin);
	solve();

}
/*
2
4 3
1 1
1 -1
-1 -1
-1 1
0 0
0 1
0 2
3 1
1 0
 1 1
  0 0
  0 1

 1
4 3
1 1
1 -1
-1 -1
-1 1
0 1
0 2
0 0

1
3 1
1 0
1 1
0 0
2 2

1
3 1
0 0
1 0
1 1
2 0

1
3 1
0 0
2 0
2 2
1 1
*/