#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <utility>
#include <string>
#include <stack>

using namespace std;


string add(string s1, string s2) {
    string ans = "";
    string::iterator i1 = s1.begin();
    string::iterator end1 = s1.end();
    string::iterator i2 = s2.begin();
    string::iterator end2 = s2.end();

    while ((i1 != end1) || (i2 != end2)) {
        if (i1 == end1) {
            ans += *i2;
            i2++;
        } else if (i2 == end2) {
            ans += *i1;
            i1++;
        } else {
            if (*i1 == *i2) {
                ans += *i1;
                i1++;
                i2++;
            } else if (*i1 < *i2) {
                ans += *i1;
                i1++;
            } else {
                ans += *i2;
                i2++;
            }
        }
    }

    return ans;
}

string prod(string s1, string s2) {
    string ans = "";
    string::iterator i1 = s1.begin();
    string::iterator end1 = s1.end();
    string::iterator i2 = s2.begin();
    string::iterator end2 = s2.end();

    while ((i1 != end1) || (i2 != end2)) {
        if (i1 == end1) {
            i2++;
        } else if (i2 == end2) {
            i1++;
        } else {
            if (*i1 == *i2) {
                ans += *i1;
                i1++;
                i2++;
            } else if (*i1 < *i2) {
                i1++;
            } else {
                i2++;
            }
        }
    }

    return ans;
}

string dif(string s1, string s2) {
    string ans = "";
    string::iterator i1 = s1.begin();
    string::iterator end1 = s1.end();
    string::iterator i2 = s2.begin();
    string::iterator end2 = s2.end();

    while ((i1 != end1) || (i2 != end2)) {
        if (i1 == end1) {
            i2++;
        } else if (i2 == end2) {
            ans += *i1;
            i1++;
        } else {
            if (*i1 == *i2) {
                i1++;
                i2++;
            } else if (*i1 < *i2) {
                ans += *i1;
                i1++;
            } else {
                i2++;
            }
        }
    }

    return ans;
}

string apply(string s1, string s2, char oper) {
    if (oper == '+')
        return add(s1, s2);
    else if (oper == '-')
        return dif(s1, s2);
    else if (oper == '*')
        return prod(s1, s2);
    return "";
}

// check for oper1 > oper2
bool cmp(char oper1, char oper2) {
    if ((oper1 == '(') || (oper1 == ')'))
        return true;
    else if ((oper1 == '*') && (oper2 != '(') && (oper2 != ')'))
        return true;
    return false;
}

void push_oper(stack<char> &opers, stack<string> &values, char oper) {
    if (opers.size() > 0) {
        char top_oper = opers.top();
        while (cmp(top_oper, oper) && (top_oper != '(')) {
            string val2 = values.top();
            values.pop();
            string val1 = values.top();
            values.pop();
            values.push(apply(val1, val2, top_oper));
            opers.pop();
            top_oper = opers.top();
        }
    }
    opers.push(oper);
}

int main()
{
    ifstream fin("joining.in");
    int T;
    fin >> T;

    for (int j = 0; j < T; ++j) {
        stack<char> opers;
        stack<string> values;
        string all;
        fin >> all;

        string::iterator i = all.begin();

        while (i != all.end()) {
            //cout<<*i<<endl;
            if (*i == '{') {
                string cur_value = "";
                i++;
                while(*i != '}') {
                    cur_value += *i;
                    i++;
                }
                values.push(cur_value);
                //cout << cur_value << endl;
            } else if (*i == '(') {
                opers.push(*i);
            } else if (*i == ')') {
                char top_oper = opers.top();
                while (top_oper != '(') {
                    string val2 = values.top();
                    values.pop();
                    string val1 = values.top();
                    values.pop();
                    values.push(apply(val1, val2, top_oper));
                    opers.pop();
                    top_oper = opers.top();
                }
                opers.pop();
            } else {
                push_oper(opers, values, *i);
            }
            i++;
        }
        while (opers.size() > 0) {
            char oper = opers.top();
            opers.pop();
            string val2 = values.top();
            values.pop();
            string val1 = values.top();
            values.pop();
            values.push(apply(val1, val2, oper));
        }
        cout << "{" << values.top() << "}" << endl;
    }

    return 0;
}
